import { XmlNode } from "./xmlNode";
declare type XmlAttributes = Map<string, string>;
declare type Callback = (n: XmlElement) => void;
export declare class XmlElement extends XmlNode {
    name: string;
    private attributes;
    private children;
    constructor(name: string);
    setName(name: string): XmlElement;
    setAttributes(attributes: XmlAttributes): XmlElement;
    /**
     * Creates a new element with the given name and attributes and then invokes the callback to configure it.
     * @param name Element name
     * @param attributes Map of element attributes
     * @param arg Callback to configure the new element
     */
    appendElement(name: string, attributes: XmlAttributes, arg?: Callback): XmlElement;
    /**
     * Creates a new element with the given name and attributes and then sets it's text content (can be a matcher)
     * @param name Element name
     * @param attributes Map of element attributes
     * @param arg Text content to create the new element with (can be a matcher)
     */
    appendElement(name: string, attributes: XmlAttributes, arg?: string): XmlElement;
    appendText(content: string): XmlElement;
    eachLike(name: string, attributes: XmlAttributes, cb?: Callback, options?: EachLikeOptions): XmlElement;
    private executeCallback;
}
interface EachLikeOptions {
    min?: number;
    max?: number;
    examples?: number;
}
export {};
